CVE-2004-1911
CVSS4.3
发布时间 :2004-12-31 00:00:00
修订时间 :2016-10-17 23:02:48
NMCOE    

[原文]Cross-site scripting (XSS) vulnerability in AzDGDatingLite 2.1.1 allows remote attackers to inject arbitrary web script or HTML via the (1) l parameter (aka language variable) to index.php or (2) id parameter to view.php.


[CNNVD]AzDGDatingLite跨站脚本漏洞(CNNVD-200412-277)

        AzDGDatingLite 2.1.1版本存在跨站脚本漏洞。远程攻击者借助(1)index.php的l参数(又称为语言变量)或者(2)view.php的id参数,注入任意web脚本或者HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1911
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1911
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-277
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=108144342317973&w=2
(UNKNOWN)  BUGTRAQ  20040408 [waraxe-2004-SA#014 - Cross-Site Scripting aka XSS in AzDGDatingLite]
http://www.securityfocus.com/bid/10084
(UNKNOWN)  BID  10084
http://xforce.iss.net/xforce/xfdb/15796
(UNKNOWN)  XF  azdgdating-index-view-xss(15796)

- 漏洞信息

AzDGDatingLite跨站脚本漏洞
中危 跨站脚本
2004-12-31 00:00:00 2006-08-23 00:00:00
远程  
        AzDGDatingLite 2.1.1版本存在跨站脚本漏洞。远程攻击者借助(1)index.php的l参数(又称为语言变量)或者(2)view.php的id参数,注入任意web脚本或者HTML。

- 公告与补丁

        Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com .

- 漏洞信息 (23934)

AzDGDatingLite 2.1.1 index.php language Parameter XSS (EDBID:23934)
php webapps
2004-04-07 Verified
0 Janek Vind
N/A [点击下载]
source: http://www.securityfocus.com/bid/10084/info

Multiple cross-site scripting vulnerabilities have been reported in AzDGDatingLite. These issues may be exploited by enticing a victim user to visit a malicious link that includes hostile HTML and script code.

Exploitation could facilitate theft of cookie-based authentication credentials or other attacks.

This issue was reported in AzDGDatingLite 2.1.1. It is not known if earlier versions or commercial releases which share the same code base are affected, such as AzDGDatingPlatinum or AzDGDatingGold. 

http://www.example.com/azdlite/index.php?l=en"><script>alert(document.cookie);</script>		

- 漏洞信息 (23935)

AzDGDatingLite 2.1.1 view.php id Parameter XSS (EDBID:23935)
php webapps
2004-04-07 Verified
0 Janek Vind
N/A [点击下载]
source: http://www.securityfocus.com/bid/10084/info
 
Multiple cross-site scripting vulnerabilities have been reported in AzDGDatingLite. These issues may be exploited by enticing a victim user to visit a malicious link that includes hostile HTML and script code.
 
Exploitation could facilitate theft of cookie-based authentication credentials or other attacks.
 
This issue was reported in AzDGDatingLite 2.1.1. It is not known if earlier versions or commercial releases which share the same code base are affected, such as AzDGDatingPlatinum or AzDGDatingGold. 

http://www.example.com/azdlite/view.php?l=&id=00001<script>alert(document.cookie);</script> 

		

- 漏洞信息

5018
AzDGDatingLite index.php language Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

AzDGDatingLite contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the 'language' parameter upon submission to the 'index.php' script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2004-04-09 Unknow
2004-04-09 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站